Page MenuHomePhabricator

[mips] Add microMIPS specific addressing patterns.
ClosedPublic

Authored by sdardis on Jun 18 2018, 4:51 AM.

Details

Summary

These are identical but use microMIPS instructions instead of MIPS instructions.

Also, flatten the 'let AdditionalPredicates = [InMicroMips]' by using the
ISA_MICROMIPS adjective. Add tests for constant materialization.

Diff Detail

Repository
rL LLVM

Event Timeline

sdardis created this revision.Jun 18 2018, 4:51 AM
smaksimovic accepted this revision.Jun 19 2018, 6:25 AM

Looks okay, one small remark

test/CodeGen/Mips/address-selection.ll
2 ↗(On Diff #151690)

It looks like the MIPS-PIC prefix is not used anywhere in this test.

6 ↗(On Diff #151690)

This line is identical to the one above.

This revision is now accepted and ready to land.Jun 19 2018, 6:25 AM
sdardis updated this revision to Diff 152073.Jun 20 2018, 6:06 AM
sdardis marked an inline comment as done.

Address comment.

This revision was automatically updated to reflect the committed changes.